package cenzura;

import java.util.Scanner;

public class Main {

	public static void main(String[] args) {
		Scanner s = new Scanner(System.in);
		char a = 'a';
		int ascii = a;
		
		char [] slova1 = new char[26];
		int []  brojSlova1 = new int[26];
		char [] slova2 = new char[26];
		int []  brojSlova2 = new int[26];
		int najmanje = 1000;
		char najmanjic = ' ';
		String rec = s.next(); //ttaakkprroogg
		String zabranjenaRec = s.next();//takprog
		String novaRec = " ";
		for(int i  = 0; i <26;i++) {
			for(int j = 0; j<rec.length();j++) {
				if(rec.charAt(j) == a) {
					brojSlova1[i]++;
				}
				
				
			}
			slova1[i] = a;
			a++; 
			ascii = a;
			//System.out.println(ascii + " " +slova1[i]+" "+ brojSlova1[i]);
		}
		a = 'a';
		ascii = a;
		for(int i  = 0; i <26;i++) {
			for(int j = 0; j<zabranjenaRec.length();j++) {
				if(zabranjenaRec.charAt(j) == a) {
					brojSlova2[i]++;
				}
				
				
			}
			slova2[i] = a;
			a++; 
			ascii = a;
			//System.out.println(ascii + " " +slova2[i]+" "+ brojSlova2[i]);
		}
		for(int i  = 0; i <26;i++) {
			if(brojSlova1[i] >= brojSlova2[i] && brojSlova2[i]>0 && brojSlova2[i]<najmanje) {
				najmanje = brojSlova1[i];
				najmanjic = slova1[i];
			}
		}
		int brojac = 0;
		for(int i = 0; i<rec.length();i++) {
			if(rec.charAt(i) == najmanjic && brojac <=najmanje) {
				rec = rec.substring(0, i) + '*'
			              + rec.substring(i + 1);
				brojac++;
			}
		}
        System.out.println(najmanje);
		System.out.println(rec);
		
		
		

	}

}